package com.gau.go.launcherex.gowidget.weather.service;

import com.gau.go.launcherex.gowidget.weather.service.IRemoteServiceCallback;
import com.gau.go.launcherex.gowidget.weather.model.WeatherBean;
import com.gau.go.launcherex.gowidget.weather.model.WidgetSettingBean;

interface IWeatherService {
	
	void register(IRemoteServiceCallback callback);
	void unregister(IRemoteServiceCallback callback);

	// =================== 提供数据 ====================

	// 获取所有城市及天气信息
	List<WeatherBean> getWeatherBeans();
	// 获取widget相关的所有设置信息
	WidgetSettingBean getWidgetSettings();
	// 获取CommonSetting表中设置项的值
	String getSettingValue(String key);
	// 获取定位城市
	WeatherBean getLocationCity();
	// 获取widget绑定的城市id
	String getWidgetBindedCity(int widgetId);
	// 获取付费状态
	boolean getBillingStatus();
	// 是否有新主题
	boolean hasNewTheme();
	
	// =================== 处理数据 ===================
	
	// 保存widget的绑定的城市到数据库
	void saveWidgetBindedCity(int widgetType, int widgetId, String cityId);
	// 删除widget时，删除城市绑定数据
	void deleteWidgetBindedCity(int widgetId);
	// 添加widget时，更新widget数量
	void addNewWidget(int widgetId, int widgetType);
}